
#include <TinyGPS.h>
#include <SoftwareSerial.h>

const byte GPS_IN_PIN = 10;
const byte GPS_OUT_PIN = 3;

TinyGPS gps;
SoftwareSerial gpsSerial(GPS_IN_PIN, GPS_OUT_PIN);

void setup() {
  // put your setup code here, to run once:
 Serial.begin(9600); 
 gpsSerial.begin(4800);
 Serial.print("start");
}

void loop() {
 // put your main code here, to run repeatedly:
 if (gpsSerial.available()>0) {
  byte c=gpsSerial.read();
  if (gps.encode(c)) {
        unsigned long fix_age;
        float flat,flon;
        gps.f_get_position(&flat, &flon, &fix_age);
//        if ( (fix_age > 5000) || (fix_age == TinyGPS::GPS_INVALID_AGE) ) continue;
        Serial.print ("Latitude : ");
        Serial.println (flat,10);
        Serial.print ("Longitude: ");
        Serial.println (flon,10);
  }
  
  // Serial.write(c);
 }
}
